org.apache.lucene.sandbox.queries

## Class SlowCollatedTermRangeQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.MultiTermQuery
    - - org.apache.lucene.sandbox.queries.SlowCollatedTermRangeQuery

All Implemented Interfaces:
  Cloneable

Deprecated.
Index collation keys with CollationKeyAnalyzer or ICUCollationKeyAnalyzer instead. This class will be removed in Lucene 5.0

    @Deprecated
    public class SlowCollatedTermRangeQuery
    extends MultiTermQuery

A Query that matches documents within an range of terms.

This query matches the documents looking for terms that fall into the supplied range according to `String.compareTo(String)`, unless a `Collator` is provided. It is not intended for numerical ranges; use `NumericRangeQuery` instead.

This query uses the `MultiTermQuery.CONSTANT_SCORE_AUTO_REWRITE_DEFAULT` rewrite method.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.MultiTermQuery

`MultiTermQuery.ConstantScoreAutoRewrite, MultiTermQuery.RewriteMethod, MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite, MultiTermQuery.TopTermsScoringBooleanQueryRewrite`

### Field Summary

### Fields inherited from class org.apache.lucene.search.MultiTermQuery

`CONSTANT_SCORE_AUTO_REWRITE_DEFAULT, CONSTANT_SCORE_BOOLEAN_QUERY_REWRITE, CONSTANT_SCORE_FILTER_REWRITE, field, rewriteMethod, SCORING_BOOLEAN_QUERY_REWRITE`

### Constructor Summary

Constructors
Constructor and Description
`SlowCollatedTermRangeQuery(String field, String lowerTerm, String upperTerm, boolean includeLower, boolean includeUpper, Collator collator)` Deprecated. Constructs a query selecting all terms greater/equal than `lowerTerm` but less/equal than `upperTerm`.

### Method Summary

Methods
`boolean` `equals(Object obj)` Deprecated.
`String` `field()` Deprecated. Use `MultiTermQuery.getField()` instead.
`Collator` `getCollator()` Deprecated. Returns the collator used to determine range inclusion
`String` `getLowerTerm()` Deprecated. Returns the lower value of this range query
`protected TermsEnum` `getTermsEnum(Terms terms, AttributeSource atts)` Deprecated.
`String` `getUpperTerm()` Deprecated. Returns the upper value of this range query
`int` `hashCode()` Deprecated.
`boolean` `includesLower()` Deprecated. Returns `true` if the lower endpoint is inclusive
`boolean` `includesUpper()` Deprecated. Returns `true` if the upper endpoint is inclusive
`String` `toString(String field)` Deprecated. Prints a user-readable version of this query.

### Methods inherited from class org.apache.lucene.search.MultiTermQuery

`getField, getRewriteMethod, getTermsEnum, rewrite, setRewriteMethod`

### Methods inherited from class org.apache.lucene.search.Query

`clone, createWeight, extractTerms, getBoost, setBoost, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SlowCollatedTermRangeQuery

    public SlowCollatedTermRangeQuery(String field,
                              String lowerTerm,
                              String upperTerm,
                              boolean includeLower,
                              boolean includeUpper,
                              Collator collator)

Deprecated.
Constructs a query selecting all terms greater/equal than `lowerTerm` but less/equal than `upperTerm`.

If an endpoint is null, it is said to be "open". Either or both endpoints may be open. Open endpoints may not be exclusive (you can't select all but the first or last term without explicitly specifying the term to exclude.)

Parameters:
  `lowerTerm` - The Term text at the lower end of the range
  `upperTerm` - The Term text at the upper end of the range
  `includeLower` - If true, the `lowerTerm` is included in the range.
  `includeUpper` - If true, the `upperTerm` is included in the range.
  `collator` - The collator to use to collate index Terms, to determine their membership in the range bounded by `lowerTerm` and `upperTerm`.

### Method Detail

#### getLowerTerm

    public String getLowerTerm()

Deprecated.
Returns the lower value of this range query

#### getUpperTerm

    public String getUpperTerm()

Deprecated.
Returns the upper value of this range query

#### includesLower

    public boolean includesLower()

Deprecated.
Returns `true` if the lower endpoint is inclusive

#### includesUpper

    public boolean includesUpper()

Deprecated.
Returns `true` if the upper endpoint is inclusive

#### getCollator

    public Collator getCollator()

Deprecated.
Returns the collator used to determine range inclusion

#### getTermsEnum

    protected TermsEnum getTermsEnum(Terms terms,
                         AttributeSource atts)
                              throws IOException

Deprecated.

Specified by:
  `getTermsEnum` in class `MultiTermQuery`
Throws:
  `IOException`

#### field

    @Deprecated
    public String field()

Deprecated. Use `MultiTermQuery.getField()` instead.

#### toString

    public String toString(String field)

Deprecated.
Prints a user-readable version of this query.

Specified by:
  `toString` in class `Query`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `MultiTermQuery`

#### equals

    public boolean equals(Object obj)

Deprecated.

Overrides:
  `equals` in class `MultiTermQuery`